#ifndef EWEB_H
#define EWEB_H
#include "ebase.h"
#include "synctimer.h"
#include <QMovie>

class EWeb : public EBase {
    Q_OBJECT
public:
    static const QImage &holder() {
        static const QImage holder = QImage(":/res/program/Web.png");
        return holder;
    }

    explicit EWeb(EBase *multiWin = nullptr);
    explicit EWeb(const QJsonObject &json, EBase *multiWin = nullptr);

    int type() const override {return EBase::Web;}
    void paint(QPainter*, const QStyleOptionGraphicsItem *, QWidget *) override;
    QWidget* attrWgt() override;
    bool save(const QString &) override {return true;};
    QJsonObject attrJson() const override;

    QString url;
    int duration = 10;
};

#endif // EWEB_H
